<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_obj_desc_table_info_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_obj_desc_table_info_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__tivx__obj__desc__priv.html">Object Descriptor APIs</a>]</small>
</h1><!-- doxytag: class="tivx_obj_desc_table_info_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Data structure to hold info about object descriptor table. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="uniontivx__obj__desc__shm__entry__t.html">tivx_obj_desc_shm_entry_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__table__info__t.html#a874928b32eae2c8ec8175a2db902ff89">table_base</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Object descriptor table base address.  <a href="#a874928b32eae2c8ec8175a2db902ff89"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__table__info__t.html#afceda154ba232443e6ee5f97fabe4692">num_entries</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Object descriptor table, number of entries.  <a href="#afceda154ba232443e6ee5f97fabe4692"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__table__info__t.html#aecb1f39d11681ba4f4ac558ed4f63160">last_alloc_index</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Index of last allocated entry, this can be used to optimize free entry search start index during object descriptor alloc.  <a href="#aecb1f39d11681ba4f4ac558ed4f63160"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a874928b32eae2c8ec8175a2db902ff89"></a><!-- doxytag: member="tivx_obj_desc_table_info_t::table_base" ref="a874928b32eae2c8ec8175a2db902ff89" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="uniontivx__obj__desc__shm__entry__t.html">tivx_obj_desc_shm_entry_t</a>* <a class="el" href="structtivx__obj__desc__table__info__t.html#a874928b32eae2c8ec8175a2db902ff89">tivx_obj_desc_table_info_t::table_base</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Object descriptor table base address. </p>

</div>
</div>
<a class="anchor" id="afceda154ba232443e6ee5f97fabe4692"></a><!-- doxytag: member="tivx_obj_desc_table_info_t::num_entries" ref="afceda154ba232443e6ee5f97fabe4692" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__table__info__t.html#afceda154ba232443e6ee5f97fabe4692">tivx_obj_desc_table_info_t::num_entries</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Object descriptor table, number of entries. </p>

</div>
</div>
<a class="anchor" id="aecb1f39d11681ba4f4ac558ed4f63160"></a><!-- doxytag: member="tivx_obj_desc_table_info_t::last_alloc_index" ref="aecb1f39d11681ba4f4ac558ed4f63160" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__table__info__t.html#aecb1f39d11681ba4f4ac558ed4f63160">tivx_obj_desc_table_info_t::last_alloc_index</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Index of last allocated entry, this can be used to optimize free entry search start index during object descriptor alloc. </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
